.form-container{
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  position: relative;
}

form {
  width: 100%;
  box-sizing: border-box;
  margin-top: 150px;
  padding: 0px 50px;
  margin-bottom: 100px;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  font-size: medium;
}

.top-text{
  display: flex;
  width: 100%;
  gap: 24px;
  justify-content: center;
  align-items: start;
  flex-direction: column;
}

.top-text h3{
  margin: 0px;
}

.go-back-btn{
  position: absolute;
  top: 0;
  left: 40px;
  width: 100%;
}

.arguments-container{
  width: 100%;
}

.connect-name-type{
  /* transform: rotate(90deg); */
  border-style: dashed;
  width: 50%;
  border: 0px;
  border-top: 1px solid white;
  border-top-style: dashed;
  /* height: 3px; */
}

div.necessary-arguments {
  width: 100%;
}

.no-initial-value-arguments{
  margin-top: 24px;
  display: flex;
  flex-direction: column;
  width: 500px;
}

.initialized-args{
  margin-top: 24px;
  display: flex;
  flex-direction: column;
  width: 500px;
}

div.necessary-arguments .argument-info{
  width: 100%;
  margin-bottom: 12px;
  display: flex;
  justify-content: space-between;
  gap: 24px;
}

.argument-label{
  font-weight: bold;
  color: rgb(196, 196, 196);  
}

.argument-text{
  opacity: 0.5;
}

div.necessary-arguments.ng-star-inserted {
  margin-bottom: 10px;
}

h3 {
  color: #d59306;
  font-weight: bold;
  margin-left: 1%;
  margin-top: 0.5%;
}

h3.arguments {
  color: #d59306;
  font-weight: bold;
  margin-bottom: 2%;
  margin-left: 1%;
}

.mat-mdc-radio-button {
  margin-right: 16px;
}

.tcName {
  color: #2e98a3;
}

h4 {
  color: darkgrey;
  font-weight: bold;
}

.dynamic-enum-arrays,
.dynamic-integer-arrays,
.dynamic-aggregate-arrays,
.dynamic-binary-arrays {
  display: flex;
  flex-direction: column;
  margin-left: 1%;
}

.aggregates {
  margin-left: 1%;
  margin-bottom: 5px;
}

::placeholder {
  font-weight: bold;
}

.argument-info {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  width: 25%;
}

.argument-info h4:nth-child(2) {
  margin-left: auto;
}

/* TODO(mdc-migration): The following rule targets internal classes of input that may no longer apply for the MDC version. */
/* TODO(mdc-migration): The following rule targets internal classes of input that may no longer apply for the MDC version. */
/* it's work */


input[type="number"]:out-of-range {
  outline: none;
  border: 2px solid red;
}

button {
  font-weight: bold;
  border-radius: 5px;
  width: 20%;
  box-shadow: 5px 5px 5px 0px rgba(0, 0, 0, 0.3);
  margin: 20px 50px 0px 0px;
}

.mat-mdc-button.initial {
  background-color: #36342e;
}

.mat-mdc-button.notinitial {
  background-color: #303030;
}

.buttons {
  display: flex;
  width: 100%;
  justify-content: center;
  align-items: center;
  gap: 12px;
}

.boolean-inputs {
  color: darkgrey;
  display: flex;
  justify-content: space-between;
  margin-top: 5px;
  width: 100%;
  font-weight: bold;
}




/* change the class name from .mat-select-value-text to .mat-mdc-select-value-text */
:host /deep/ .mat-mdc-select-value-text {
  color: antiquewhite;;
  font-weight: bold;
  
}

/* change the class name from .mat-list-item__primary-text to .mat-mdc-list-item__primary-text */
.mat-mdc-list-item__primary-text{
  color: #d59306 !important;
}

/* TODO(mdc-migration): The following rule targets internal classes of option that may no longer apply for the MDC version. */
/* TODO(mdc-migration): The following rule targets internal classes of option that may no longer apply for the MDC version. */
mat-option[aria-selected="true"] {
  color: antiquewhite !important;

}


/* mat-option:hover:not(.mat-option-disabled) {
  background-color: dimgrey;
} */

mat-hint {
  margin-left: 5px;

}
